UpdateUniform File Reference
`#include <osgAnimation/AnimationUpdateCallback>`
`#include <osgAnimation/Export>`
`#include <osg/NodeVisitor>`
`#include <osg/Uniform>`

Go to the source code of this file.

## Classes

class | osgAnimation::UpdateUniform< T >
struct | osgAnimation::UpdateFloatUniform
struct | osgAnimation::UpdateVec2fUniform
struct | osgAnimation::UpdateVec3fUniform
struct | osgAnimation::UpdateVec4fUniform
struct | osgAnimation::UpdateMatrixfUniform

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_UPDATE_UNIFORM 1

## Macro Definition Documentation

## OSGANIMATION_UPDATE_UNIFORM

#define OSGANIMATION_UPDATE_UNIFORM 1